org.apache.torque.generator.configuration.outlet

## Class OutletConfigurationXmlParser

- java.lang.Object
- - org.apache.torque.generator.configuration.outlet.OutletConfigurationXmlParser

-     public class OutletConfigurationXmlParser
      extends Object

  Parses outlet configuration files and creates a OutletConfiguration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutletConfigurationXmlParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutletConfiguration` | `readOutletConfiguration(ConfigurationProvider configurationProvider, ConfigurationHandlers configurationHandlers, UnitDescriptor unitDescriptor)` Reads all outlet configuration files and creates the outlet configuration from them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutletConfigurationXmlParser

          public OutletConfigurationXmlParser()

  - ### Method Detail

    - #### readOutletConfiguration

          public OutletConfiguration readOutletConfiguration(ConfigurationProvider configurationProvider,
                                                             ConfigurationHandlers configurationHandlers,
                                                             UnitDescriptor unitDescriptor)
                                                      throws ConfigurationException

      Reads all outlet configuration files and creates the outlet configuration from them. All the outlet configuration files known to the provide are parsed. These are typically all XML files in the outletDefintiton configuration directory and its subdirectories.
      Parameters:
        `configurationProvider` - The access object for the configuration files, not null.
        `configurationHandlers` - the handlers for reading the configuration, not null.
        `unitDescriptor` - the unit descriptor, not null.
      Returns:
        the outlet configuration.
      Throws:
        `ConfigurationException` - if the Configuration cannot be read or errors exists in the outlet configuration files.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.